Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042571
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Offline Modecriticalalways2019-12-11 09:292020-01-02 14:46
ReportermalsasuaView Statuspublic 
Assigned Tomigueldejuana 
PriorityurgentResolutionfixedFixed in VersionRR19Q4.1
StatusclosedFix in branchFixed in SCM revisiond38c3f484ce7
ProjectionnoneETAnoneTarget VersionRR19Q4.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Togorkaion
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042571: with inestable network, the login offline is not working

Descriptionwhen the network is not stable and some requests are responding but other requests are not responding the login offline is not working
Steps To Reproduce1. open console developers tools
2. add a breakpoint in function attemptToLoginOffline
3. switch off the network
4. do login -> code is stopped in breakpoint 2
5. swith on the network
6. continue the execution of code
-> the login offline is done but few seconds later a new popup is displayed:
Online

The connection was restored. However, in the meantime, your session timed out. You must login again now to ensure proper synchronization. Your pending tickets will be saved.
7. login window is displayed again
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0042510 closedmigueldejuana with inestable network, the login offline is not working 

-  Notes
(0116497)
hgbot (developer)
2019-12-24 09:44

Repository: retail/backports/3.0RR19Q4.1/org.openbravo.mobile.core
Changeset: d38c3f484ce76960d0d11128165f8551ae1b7ee6
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Dec 24 09:44:01 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q4.1/org.openbravo.mobile.core/rev/d38c3f484ce76960d0d11128165f8551ae1b7ee6 [^]

Fixed issue 0042571: with inestable network, the login offline is not working

- Centralize Modal of backend session lost in OB.UI.ModalOnline component
- When backend session is lost:
  * Show a message a bit more clear
  * Add a button to be able to Keep Working
- After pressing Keep Working, show lost session popup only after final reconnect cycle or after fast 5 seconds reconnect

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.mobile.core/source/component/dialog/ob-modalonline.js
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
M web/org.openbravo.mobile.core/source/data/ob-requestrouter.js
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0116498)
hgbot (developer)
2019-12-24 09:44

Repository: retail/backports/3.0RR19Q4.1/pi-mobile
Changeset: 3d3550aa597797786fed8a712f911aaffa7641b1
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Dec 24 09:44:41 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q4.1/pi-mobile/rev/3d3550aa597797786fed8a712f911aaffa7641b1 [^]

iFixed issue 0042571: with inestable network, the login offline is not working

- Adapt tests to new popup

---
M src-test/org/openbravo/test/mobile/retail/mobilecore/selenium/TestIdCore.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSTerminalHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/offline/LoginOfflineCashmanagement.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/offline/LoginOfflineCashmanagementWaitNoForce.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/offline/LoginOfflineCashup.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/offline/LoginOfflineCreateBP.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/offline/LoginOfflineSimplesale.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/offline/VerifyCustomerSearchKeySequenceOffline.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/offline/VerifyOfflineModeNoForce.java
---
(0116523)
guilleaer (developer)
2019-12-25 21:26

Repository: retail/backports/3.0RR19Q4.1/org.openbravo.mobile.core
Changeset: 7586a17af2cbf0dfc54f4a73f401a2ad2b99f935
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Dec 24 11:48:53 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q4.1/org.openbravo.mobile.core/rev/7586a17af2cbf0dfc54f4a73f401a2ad2b99f935 [^] [^]

Fixed issue 0042571: with inestable network, the login offline is not working

- Remove unneeded lock

---
M web/org.openbravo.mobile.core/source/component/dialog/ob-modalonline.js
---
(0116608)
hgbot (developer)
2020-01-02 14:46

Repository: retail/backports/3.0RR19Q4.1/org.openbravo.mobile.core
Changeset: 4ece9839256ddf372507de033170dcf99e8935be
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jan 02 14:46:29 2020 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q4.1/org.openbravo.mobile.core/rev/4ece9839256ddf372507de033170dcf99e8935be [^]

Related to issue 42571: fix js format

---
M web/org.openbravo.mobile.core/source/component/dialog/ob-modalonline.js
---

- Issue History
Date Modified Username Field Change
2019-12-16 15:24 marvintm Type defect => backport
2019-12-16 15:24 marvintm Target Version => RR19Q4.1
2019-12-24 09:44 hgbot Checkin
2019-12-24 09:44 hgbot Note Added: 0116497
2019-12-24 09:44 hgbot Status scheduled => resolved
2019-12-24 09:44 hgbot Resolution open => fixed
2019-12-24 09:44 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR19Q4.1/org.openbravo.mobile.core/rev/d38c3f484ce76960d0d11128165f8551ae1b7ee6 [^]
2019-12-24 09:44 hgbot Checkin
2019-12-24 09:44 hgbot Note Added: 0116498
2019-12-25 21:26 guilleaer Note Added: 0116523
2019-12-25 21:27 guilleaer Review Assigned To => gorkaion
2019-12-25 21:27 guilleaer Status resolved => closed
2019-12-25 21:27 guilleaer Fixed in Version => RR19Q4.1
2020-01-02 14:46 hgbot Checkin
2020-01-02 14:46 hgbot Note Added: 0116608


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker